Load Balancer API
Layer-7 load balancers and backends
REST API endpoints for Load Balancer. 6 operations.
List load balancers
GET /v1/lbReturns all load balancers belonging to the caller's project.
Auth: Bearer API key
Responses
| Status | Description |
|---|---|
200 | All load balancers for the caller's project |
401 | Missing or invalid credentials |
403 | Token lacks the lb:read scope |
500 | Internal error |
operationId: listLoadBalancers
Create a load balancer
POST /v1/lbProvisions a load balancer for the caller's project and returns its details.
Auth: Bearer API key
Request body
application/json (required) — schema CreateLbRequest.
Responses
| Status | Description |
|---|---|
200 | Load balancer created |
401 | Missing or invalid credentials |
403 | Token lacks the lb:write scope |
500 | Internal error |
operationId: createLoadBalancer
Delete a load balancer
DELETE /v1/lb/{id}Removes a load balancer and its backends by id.
Auth: Bearer API key
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | Yes | Load balancer id (UUID) |
Responses
| Status | Description |
|---|---|
200 | Load balancer deleted |
401 | Missing or invalid credentials |
403 | Token lacks the lb:write scope |
404 | Load balancer not found |
500 | Internal error |
operationId: deleteLoadBalancer
Get a load balancer
GET /v1/lb/{id}Returns a single load balancer by id.
Auth: Bearer API key
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | Yes | Load balancer id (UUID) |
Responses
| Status | Description |
|---|---|
200 | The load balancer |
401 | Missing or invalid credentials |
403 | Token lacks the lb:read scope |
404 | Load balancer not found |
500 | Internal error |
operationId: getLoadBalancer
Add a backend to a load balancer
POST /v1/lb/{id}/backendsRegisters a backend target on the load balancer and returns its details.
Auth: Bearer API key
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | Yes | Load balancer id (UUID) |
Request body
application/json (required) — schema AddBackendRequest.
Responses
| Status | Description |
|---|---|
200 | Backend added |
400 | Load balancer not found or invalid backend |
401 | Missing or invalid credentials |
403 | Token lacks the lb:write scope |
500 | Internal error |
operationId: addLoadBalancerBackend
Remove a backend from a load balancer
DELETE /v1/lb/{id}/backends/{backend_id}Deletes a backend target from the load balancer by id.
Auth: Bearer API key
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | Yes | Load balancer id (UUID) |
backend_id | path | string | Yes | Backend id (UUID) |
Responses
| Status | Description |
|---|---|
200 | Backend removed |
401 | Missing or invalid credentials |
403 | Token lacks the lb:write scope |
404 | Load balancer or backend not found |
500 | Internal error |
operationId: removeLoadBalancerBackend